
function getTabTitle(tab) {
		
    var childNodesList=tab.childNodes;
    var titleNodes=new Array();
    var j=0;
    var i;
    for (i=0;i<childNodesList.length;i++) {
      if(childNodesList[i].nodeName=="SPAN") {
        titleNodes[j]=childNodesList[i];
        j++;
      }
    }
    return titleNodes;
  }
  
  function getTabClass(tab)
  {
  	var childNodesList=tab.childNodes;
    var i;
    
    for (i=0;i<childNodesList.length;i++) {
      if(childNodesList[i].id=="ClassShow") {
        tabClass[tabClass.length]=childNodesList[i];
      }
    }
    
  }
  
  function getTabContent(tab) {
    var childNodesList=tab.childNodes;
    var tabContent=new Array();
    var i;
    
    for (i=0;i<childNodesList.length;i++) {
      if(childNodesList[i].id=="ContentShow") {
        tabContent[tabContent.length]=childNodesList[i];
        getTabClass(childNodesList[i]);
      }
    }
    return tabContent;
  }
  
  var tabTitle=new Array(),tabContent=new Array(),tabClass=new Array();
  function resetTab(tabs,tabscon) 
  {
  	try
  	{
  		
			tabTitle=getTabTitle(tabs);
			
			tabContent=getTabContent(tabscon);
			
			$('ahrtype').innerHTML="展开";
			
		  if(GetCookie("tabs")=="0")
		  {
		  	$('ahrtype').innerHTML="缩进";
		  	DisplayText("0");
		  }
		  
		  if(tabClass.length==0)
		  {
		  	$('spntype').style.display="none";
		  }
	  }
  	catch(e)
  	{
  		alert(e.description);
  	}
  }
  
  function changTab(tab) 
  {
    if(tab.className!="selectTab")
    {
    	 for(i=0;i<tabTitle.length;i++) 
    	 {
        
          tabTitle[i].className="unselectTab";
        
          tabContent[i].className="unselectContent";
        
      }
    	tab.className="selectTab";
	    for(i=0;i<tabTitle.length;i++) {
	      if(tabTitle[i].className=="selectTab") 
	      {
	        tabContent[i].className="selectContent";
	        break;
	      }
	    }
	  }
	  
	  
  }
  
function ShowText()
{
	var b_ext=0;
	var aobj=$('ahrtype');
	
	
	if(aobj.innerHTML=="缩进")
	{
		aobj.innerHTML="展开";
		b_ext=1;
	}
	else
	{
		aobj.innerHTML="缩进";
		b_ext=0;
	}	
	
	
	SetCookie("tabs",b_ext);
	
	DisplayText(b_ext);
	
} 
	


function DisplayText(b_ext)
{
	$('diviclass').style.display=b_ext==0?"":"none";
	for(i=0;i<tabTitle.length;i++)
	{
		tabContent[i].className=b_ext==0?"unselectContent":"selectContent";
		tabClass[i].className=b_ext==0?"unselectContent":"selectContent";
	}	
	tabContent[0].className="selectContent";
	
	
	
	if(typeof(ShowToTop)=="function")
	{
		ShowToTop();
	}
	
} 


